Core-8

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
GET
PATCH
DELETE
POST
POST
GET
GET
GET
POST
GET
PATCH
DELETE
POST
GET
GET
POST
GET

Create comments

Required API key scopes

comment:write

Request parameters

  • deleted
    booleannull
  • mentions
    array
  • slug
    string
  • is_task
    boolean
    Default: false
  • content
    stringnull
  • rich_content
  • item_id
    stringnull
  • item_context
  • scope
    string
  • source_comment
    stringnull

Response


Example request

POST /api/projects/:project_id/comments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/\
-d scope="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true,
"mentions": [
0
],
"slug": "string",
"is_task": false,
"completed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"content": "string",
"rich_content": null,
"version": 0,
"created_at": "2019-08-24T14:15:22Z",
"item_id": "string",
"item_context": null,
"scope": "string",
"completed_at": "2019-08-24T14:15:22Z",
"source_comment": "aecfc6dd-f4f2-4252-b81d-e21a9112c0dc"
}

Retrieve comments

Required API key scopes

comment:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/comments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true,
"mentions": [
0
],
"slug": "string",
"is_task": false,
"completed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"content": "string",
"rich_content": null,
"version": 0,
"created_at": "2019-08-24T14:15:22Z",
"item_id": "string",
"item_context": null,
"scope": "string",
"completed_at": "2019-08-24T14:15:22Z",
"source_comment": "aecfc6dd-f4f2-4252-b81d-e21a9112c0dc"
}

Update comments

Required API key scopes

comment:write

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • mentions
    array
  • slug
    string
  • is_task
    boolean
    Default: false
  • content
    stringnull
  • rich_content
  • item_id
    stringnull
  • item_context
  • scope
    string
  • source_comment
    stringnull

Response


Example request

PATCH /api/projects/:project_id/comments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/\
-d created_by=undefined

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true,
"mentions": [
0
],
"slug": "string",
"is_task": false,
"completed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"content": "string",
"rich_content": null,
"version": 0,
"created_at": "2019-08-24T14:15:22Z",
"item_id": "string",
"item_context": null,
"scope": "string",
"completed_at": "2019-08-24T14:15:22Z",
"source_comment": "aecfc6dd-f4f2-4252-b81d-e21a9112c0dc"
}

Delete comments

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Required API key scopes

comment:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/comments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/

Example response

Status 405 No response body

Create comments complete

Mark a task-comment as complete. Sets completed_at and completed_by. 400 if the comment is not a task or is already complete.

Path parameters

  • id
    string

Response


Example request

POST /api/projects/:project_id/comments/:id/complete
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/complete/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true,
"mentions": [
0
],
"slug": "string",
"is_task": false,
"completed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"content": "string",
"rich_content": null,
"version": 0,
"created_at": "2019-08-24T14:15:22Z",
"item_id": "string",
"item_context": null,
"scope": "string",
"completed_at": "2019-08-24T14:15:22Z",
"source_comment": "aecfc6dd-f4f2-4252-b81d-e21a9112c0dc"
}

Create comments reopen

Reopen a completed task-comment. Clears completed_at and completed_by. 400 if the comment is not a task or is already open.

Path parameters

  • id
    string

Response


Example request

POST /api/projects/:project_id/comments/:id/reopen
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/reopen/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true,
"mentions": [
0
],
"slug": "string",
"is_task": false,
"completed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"content": "string",
"rich_content": null,
"version": 0,
"created_at": "2019-08-24T14:15:22Z",
"item_id": "string",
"item_context": null,
"scope": "string",
"completed_at": "2019-08-24T14:15:22Z",
"source_comment": "aecfc6dd-f4f2-4252-b81d-e21a9112c0dc"
}

Retrieve comments thread

Required API key scopes

comment:read

Path parameters

  • id
    string

Example request

GET /api/projects/:project_id/comments/:id/thread
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/:id/thread/

Example response

Status 200 No response body

Retrieve comments count

Required API key scopes

comment:read

Example request

GET /api/projects/:project_id/comments/count
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/comments/count/

Example response

Status 200 No response body

List all dashboard templates

Required API key scopes

dashboard_template:read

Query parameters

  • is_featured
    boolean
  • limit
    integer
  • offset
    integer
  • ordering
    string
    One of: "-created_at""-template_name""created_at""template_name"
  • scope
    string
    One of: "feature_flag""global""team"

Response


Example request

GET /api/projects/:project_id/dashboard_templates
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_name": "string",
"dashboard_description": "string",
"dashboard_filters": null,
"tags": [
"string"
],
"tiles": null,
"variables": null,
"deleted": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"image_url": "string",
"team_id": 0,
"scope": "team",
"availability_contexts": [
"string"
],
"is_featured": true
}
]
}

Create dashboard templates

Required API key scopes

dashboard_template:write

Request parameters

  • template_name
    stringnull
  • dashboard_description
    stringnull
  • dashboard_filters
  • tags
    arraynull
  • tiles
  • variables
  • deleted
    booleannull
  • image_url
    stringnull
  • scope
  • availability_contexts
    arraynull
  • is_featured
    boolean

Response


Example request

POST /api/projects/:project_id/dashboard_templates
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/\
-d template_name=["string","null"]

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_name": "string",
"dashboard_description": "string",
"dashboard_filters": null,
"tags": [
"string"
],
"tiles": null,
"variables": null,
"deleted": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"image_url": "string",
"team_id": 0,
"scope": "team",
"availability_contexts": [
"string"
],
"is_featured": true
}

Retrieve dashboard templates

Required API key scopes

dashboard_template:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/dashboard_templates/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_name": "string",
"dashboard_description": "string",
"dashboard_filters": null,
"tags": [
"string"
],
"tiles": null,
"variables": null,
"deleted": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"image_url": "string",
"team_id": 0,
"scope": "team",
"availability_contexts": [
"string"
],
"is_featured": true
}

Update dashboard templates

Required API key scopes

dashboard_template:write

Path parameters

  • id
    string

Request parameters

  • template_name
    stringnull
  • dashboard_description
    stringnull
  • dashboard_filters
  • tags
    arraynull
  • tiles
  • variables
  • deleted
    booleannull
  • image_url
    stringnull
  • scope
  • availability_contexts
    arraynull
  • is_featured
    boolean

Response


Example request

PATCH /api/projects/:project_id/dashboard_templates/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/:id/\
-d template_name=["string","null"]

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_name": "string",
"dashboard_description": "string",
"dashboard_filters": null,
"tags": [
"string"
],
"tiles": null,
"variables": null,
"deleted": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"image_url": "string",
"team_id": 0,
"scope": "team",
"availability_contexts": [
"string"
],
"is_featured": true
}

Delete dashboard templates

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Required API key scopes

dashboard_template:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/dashboard_templates/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/:id/

Example response

Status 405 No response body

Create dashboard templates copy between projects

Creates a new team-scoped template in the target project (URL) from a team-scoped source template in the same organization. Global and feature-flag templates return 400. Cross-organization or inaccessible sources return 404. Source and destination projects must differ (400 if equal). Conflicting template_name values on the destination are auto-suffixed with (copy), (copy 2), …

Request parameters

  • source_template_id
    string

Response


Example request

POST /api/projects/:project_id/dashboard_templates/copy_between_projects
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/copy_between_projects/\
-d source_template_id="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_name": "string",
"dashboard_description": "string",
"dashboard_filters": null,
"tags": [
"string"
],
"tiles": null,
"variables": null,
"deleted": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"image_url": "string",
"team_id": 0,
"scope": "team",
"availability_contexts": [
"string"
],
"is_featured": true
}

Retrieve dashboard templates json schema

Example request

GET /api/projects/:project_id/dashboard_templates/json_schema
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboard_templates/json_schema/

Example response

Status 200 No response body

List all dashboards

Also available via the PostHog MCP server:

  • dashboards-get-allGet all dashboards

Required API key scopes

dashboard:read

Query parameters

  • format
    string
    One of: "json""txt"
  • limit
    integer
  • offset
    integer
  • search
    string

Response


Example request

GET /api/projects/:project_id/dashboards
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboards/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 0,
"name": "string",
"description": "string",
"pinned": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"last_accessed_at": "2019-08-24T14:15:22Z",
"last_viewed_at": "2019-08-24T14:15:22Z",
"is_shared": true,
"deleted": true,
"creation_mode": "default",
"tags": [
null
],
"restriction_level": 21,
"effective_restriction_level": 21,
"effective_privilege_level": 21,
"user_access_level": "string",
"access_control_version": "string",
"last_refresh": "2019-08-24T14:15:22Z",
"team_id": 0
}
]
}

Create dashboards

Also available via the PostHog MCP server:

  • dashboard-createCreate dashboard

Required API key scopes

dashboard:write

Query parameters

  • format
    string
    One of: "json""txt"

Request parameters

  • name
    stringnull
  • description
    string
  • pinned
    boolean
  • last_accessed_at
    stringnull
  • deleted
    boolean
  • breakdown_colors
  • data_color_theme_id
    integernull
  • tags
    array
  • restriction_level
  • last_refresh
    stringnull
  • quick_filter_ids
    arraynull
  • use_template
    string
  • use_dashboard
    integernull
  • delete_insights
    boolean
    Default: false
  • _create_in_folder
    string

Response


Example request

POST /api/projects/:project_id/dashboards
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboards/\
-d name=["string","null"]

Example response

Status 201
RESPONSE
{
"id": 0,
"name": "string",
"description": "string",
"pinned": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"last_accessed_at": "2019-08-24T14:15:22Z",
"last_viewed_at": "2019-08-24T14:15:22Z",
"is_shared": true,
"deleted": true,
"creation_mode": "default",
"filters": {},
"variables": {},
"breakdown_colors": null,
"data_color_theme_id": 0,
"tags": [
null
],
"restriction_level": 21,
"effective_restriction_level": 21,
"effective_privilege_level": 21,
"user_access_level": "string",
"access_control_version": "string",
"last_refresh": "2019-08-24T14:15:22Z",
"persisted_filters": {},
"persisted_variables": {},
"team_id": 0,
"quick_filter_ids": [
"string"
],
"tiles": [
{}
],
"use_template": "string",
"use_dashboard": 0,
"delete_insights": false,
"_create_in_folder": "string"
}

List all dashboards sharing

Required API key scopes

sharing_configuration:read

Path parameters

  • dashboard_id
    integer

Example request

GET /api/projects/:project_id/dashboards/:dashboard_id/sharing
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/dashboards/:dashboard_id/sharing/

Example response

Status 200
RESPONSE
{
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"access_token": "string",
"settings": null,
"password_required": true,
"share_passwords": [
{
"id": 0,
"created_at": "2019-08-24T14:15:22Z",
"note": "string",
"created_by_email": "string",
"is_active": true
}
]
}

Community questions

Questions about this page? or post a community question.